diff --git a/dlls/comctl32/hotkey.c b/dlls/comctl32/hotkey.c
index a72b487..6b24d9c 100644
--- a/dlls/comctl32/hotkey.c
+++ b/dlls/comctl32/hotkey.c
@@ -190,6 +190,8 @@ HOTKEY_Paint(HOTKEY_INFO *infoPtr, HDC hdc)
 	HOTKEY_Refresh(infoPtr, hdc);
     else {
 	PAINTSTRUCT ps;
+	/* In some apps, the hotkey doesn't draw unless we invalidate it here */
+	InvalidateRect(infoPtr->hwndSelf, NULL, FALSE);
 	hdc = BeginPaint (infoPtr->hwndSelf, &ps);
 	HOTKEY_Refresh (infoPtr, hdc);
 	EndPaint (infoPtr->hwndSelf, &ps);
